summaryrefslogtreecommitdiff
path: root/ci/jenkins_run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/jenkins_run_tests.sh')
-rwxr-xr-xci/jenkins_run_tests.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/ci/jenkins_run_tests.sh b/ci/jenkins_run_tests.sh
index 5dab6ebd92..be9c6a882e 100755
--- a/ci/jenkins_run_tests.sh
+++ b/ci/jenkins_run_tests.sh
@@ -7,3 +7,10 @@ ruby -v;
# This should take care of Gemfile changes that result in "bad" bundles without forcing us to rebundle every time
bundle install --path vendor/bundle || ( rm Gemfile.lock && bundle install --path vendor/bundle )
bundle exec rspec -r rspec_junit_formatter -f RspecJunitFormatter -o test.xml -f documentation spec;
+RSPEC_RETURNCODE=$?
+
+# move the rspec results back into the jenkins working directory
+mv test.xml ..
+
+# exit with the result of running rspec
+exit $RSPEC_RETURNCODE